PIO_WRITE_SWAP(3)

FUNCTION
pio_write_swap - Swap and write bytes to a channel object.

SYNOPSIS
#include <karma_pio.h>

flag pio_write_swap

(Channel channel, CONST char *data, unsigned int length)

DESCRIPTION
Swap and write bytes to a channel object.

channel
    The channel object.

data
    A pointer to the data bytes.

length
    The number of bytes to swap and then write.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/